Mail::MtPolicyd::Client::Response(3pm)

NAME
Mail::MtPolicyd::Client::Response - a postfix policyd client response class

VERSION
version 2.05

DESCRIPTION
Class to handle a policyd response.

  SYNOPSIS
  use Mail::MtPolicyd::Client::Response;
  my $response = Mail::MtPolicyd::Client::Response->new_from_fh( $conn );

  --

  my $response = Mail::MtPolicyd::Client::Response->new(
    action => 'reject',
    attributes => {
      action => 'reject',
    },
  );

  print $response->as_string;

  METHODS

new_from_fh( $filehandle )
    Constructor which reads a response from the supplied filehandle.

as_string
    Returns a stringified version of the response.

  ATTRIBUTES

action (required)
    The action specified in the response.

attributes
    Holds a hash with all key/values of the response.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991